# dependency installation:
# pip3 install wolk-connect
import sys
import wolk

wolk_device = wolk.WolkConnect(
    wolk.Device(
        key="device_key",
        password="device_password"
    )
)

try:
    wolk_device.connect()
except RuntimeError as e:
    print(str(e))
    sys.exit(1)

tags = ["F1", "F2", "F3", "F4", "F5"]

input = ''
while input != 'x':
    input = sys.stdin.read(1)
    values = []
    if input == '1':
        values = ["Joyful", "Joyful", "Joyful", "Joyful", "Joyful"]
    elif input == '2':
        values = ["Sad", "Sad", "Serious", "Serious", "Joyful"]
    elif input == '3':
        values = ["Funny", "Joyful", "Serious", "Sad", "Sad"]

    if len(values) == 5:
        for x in range(0, len(tags)):
            wolk_device.add_sensor_reading(tags[x], values[x])
        print("sending data")
        wolk_device.publish()

wolk_device.disconnect()
